std::iterator_traits< _Tp * > Struct Template Reference
Iterators

`#include <stl_iterator_base_types.h>`

## Public Types

using | difference_type
using | iterator_category
using | iterator_concept
using | pointer
using | reference
using | value_type

## Detailed Description

template<typename _Tp>
requires is_object_v<_Tp>
struct std::iterator_traits< _Tp * >

Partial specialization for object pointer types.

Definition at line 200 of file stl_iterator_base_types.h.

## Member Typedef Documentation

## difference_type

template<typename _Tp>

using std::iterator_traits< _Tp * >::difference_type

Definition at line 205 of file stl_iterator_base_types.h.

## iterator_category

template<typename _Tp>

using std::iterator_traits< _Tp * >::iterator_category

Definition at line 203 of file stl_iterator_base_types.h.

## iterator_concept

template<typename _Tp>

using std::iterator_traits< _Tp * >::iterator_concept

Definition at line 202 of file stl_iterator_base_types.h.

## pointer

template<typename _Tp>

using std::iterator_traits< _Tp * >::pointer

Definition at line 206 of file stl_iterator_base_types.h.

## reference

template<typename _Tp>

using std::iterator_traits< _Tp * >::reference

Definition at line 207 of file stl_iterator_base_types.h.

## value_type

template<typename _Tp>

using std::iterator_traits< _Tp * >::value_type

Definition at line 204 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h